import {
    getTLBSegments,
    getHierarchy,
    getMatchingValues,
} from '../tlb_segments';
const should = require('should');

describe('Functions for working with TLB segments', function() {
    it('Returns segments', function() {
        const segments = getTLBSegments();
        should(segments.children.length).be.above(0);
    });

    it('Returns hierarchy for distributionOvrigt', function() {
        var hierarchy = getHierarchy('distributionOvrigt');
        should(hierarchy.length).be.equal(3)
    });

    it('Returns hierarchy for distributionOvrigtDjurtransport', function() {
        var hierarchy = getHierarchy('distributionOvrigtDjurtransport');
        should(hierarchy.length).be.equal(4)
    });

    it('Returns matching values', function() {
        var hierarchy = getMatchingValues('distribution');
        should(hierarchy.length).be.equal(15);
    });
});
