var nls = require('nls');
var ActivityHelper = {
    getAllActions: function(phase) {
        return [
            'did_call',
            'did_email',
            'did_post',
        ];
    },
    getIconsByActivity: function(activity) {
        switch (activity) {
            case 'call':
                return 'fa-phone';
                break;
            case 'meeting':
                return 'fa-coffee';
                break;
            case 'mail':
                return 'fa-envelope';
                break;
            case 'testride':
                return 'fa-car';
                break;
            case 'valuation':
                return 'fa-money';
                break;
            case 'offer':
                return 'fa-file-o';
                break;
            case 'analysis':
                return 'fa-line-chart';
                break;
            case 'visit':
                return 'fa-users';
                break;
            case 'other':
                return 'fa-question';
                break;

            case 'will_mail':
                return 'fa-envelope'
                break;
            case 'will_meeting':
                return 'fa-coffee'
                break;
            case 'will_call':
                return 'fa-phone'
                break;
            case 'will_post':
                return 'fa-pencil';
                break;
            case 'did_mail':
                return 'fa-pencil';
                break;
            case 'did_email':
                return 'fa-pencil';
                break;
            case 'did_meeting':
                return 'fa-coffee'
                break;
            case 'did_call':
                return 'fa-phone'
                break;
            case 'did_post':
                return 'fa-envelope'
                break;
            case 'did_lose_price':
                return 'fa-money'
                break;
            case 'did_lose_unknown':
                return 'fa-question'
                break;
            case 'did_lose_window':
                return 'fa-random'
                break;
            case 'did_lose_product':
                return 'fa-puzzle-piece'
                break;
            case 'owner':
                return 'fa-user'
                break;
        }
    },
    /*
     * @todo - Move to nls
     */
    getReadableAcitivty: function(activity) {
        switch (activity) {
            case 'won':
                return 'Vunnen'
                break;
            case 'lost':
                return 'Förlorad'
                break;

            case 'call':
                return 'Samtal';
                break;
            case 'meeting':
                return 'Möte';
                break;
            case 'mail':
                return 'Mail';
                break;
            case 'testride':
                return 'Provkörning';
                break;
            case 'valuation':
                return 'Värdering';
                break;
            case 'offer':
                return 'Offert';
                break;
            case 'analysis':
                return 'Behovsanalys';
                break;
            case 'visit':
                return 'Kundbesök';
                break;
            case 'other':
                return 'Övrigt';
                break;
            case 'owner':
                return 'Ändrad ägare för affär';
                break;

            // Old
            case 'will_mail':
                return 'Maila'
                break;
            case 'will_email':
                return 'Maila'
                break;
            case 'will_meeting':
                return 'Möte'
                break;
            case 'will_call':
                return 'Ringa'
                break;
            case 'will_post':
                return 'Skicka brev'
                break;
            case 'did_email':
                return 'mailade'
                break;
            case 'did_call':
                return 'ringde'
                break;
            case 'did_post':
                return 'skickade brev'
                break;
            case 'did_meeting':
                return 'hade möte'
                break;
            case 'did_lose_price':
                return 'förlorade affären på grund av pris';
                break;
            case 'did_lose_unknown':
                return 'förlorade affären på grund av okänd anledning';
                break;
            case 'did_lose_window':
                return 'förlorade affären för att prospektet inte var i köpfönstret';
                break;
            case 'did_lose_product':
                return 'Förlorade affären på grund av produkten';
                break;

            default:
                return activity;
                break;
        }
    },

    //Alias
    getReadableActivity: function() {return this.getReadableAcitivty.apply(this, arguments)},
    /*
     * @todo - Move to nls
     */
    getReadablePhase: function(phase) {
        switch (phase) {
            case 'idle':
                return 'Prospekt';
                break;
            case 'todo':
                return 'Att påbörja';
                break;
            case 'contacted':
                return 'Kontaktad';
                break;
            case 'negotiation':
                return 'I förhandling';
                break;
            case 'won':
                return 'Vunnen';
                break;
            case 'lost':
                return 'Förlorad';
                break;
            case 'trash':
                return 'Kastad';
                break;
            default:
                return phase;
                break;
        }
    },

    // This is if the target is taken by another user.
    getActivityStatus: function(activity) {

        var obj = {
            list: nls.activity_list,
            available: nls.activity_available,
            started: nls.activity_started,
            taken: nls.activity_taken,
            won: nls.won,
            lost: nls.lost,
            contacted: nls.contacted,
            negotiation: nls.negotiation,
            todo: nls.todo,
            trash: nls.trash,
            idle: nls.idle,
        };
        return obj[activity] || '';
    },
};

module.exports = Object.create(ActivityHelper);
