var _ = require('underscore');

var DisplayTableHelper = {
    getCompanyAllowedValues : function() {
        return  [
            'activity',
            'fullName',
            'numberOfCars',
            'city',
            'antanst_AB_X',
            'abv_hgrupp',
            'netoms_AB_X',
            'aretsres_AB_X',
            'ftgtyp',
            'abv_hgrupp',
            'solid_NT_AB_X',
        ].concat(this.getFleetSizeValues());
    },
    getCompanyDefaultValues : function() {
        return  [
            'activity',
            'fullName',
            'numberOfCars',
            'city',
            'antanst_AB_X',
            'abv_hgrupp'
        ];
    },
    getPersonAllowedValues : function() {
        return [
            'activity',
            'fullName',
            'numberOfCars',
            'numberOfMatchingCars',
            'age',
            'gender',
            'city',
        ].concat(this.getFleetSizeValues());
    },
    getPersonDefaultValues : function() {
        return [
            'activity',
            'fullName',
            'numberOfCars',
            'age',
            'city'
        ];
    },
    getFleetSizeValues : function() {
        return [
            'fleetSizePB',
            'fleetSizeLB',
            'fleetSizeTLB',
            'mostCommonPB',
            'mostCommonLB',
            'mostCommonTLB'
        ];
    },
    getQuickSearchDefaultValues: function() {
        return [
            'activity',
            'fullName',
            'numberOfCars',
            'city',
            'abv_hgrupp',
        ];
    },
    getProspectAllowedValues : function() {
        return [
            'activity',
            'fullName',
            'numberOfCars',
            'numberOfMatchingCars',
            'matchingCar',
            'age',
            'antanst_AB_X',
            'numberOfCarsLB',
            'numberOfCarsTLB',
            'numberOfCarsPB',
            'abv_hgrupp',
            'abv_ugrupp',
            'city',
            'region',
            'netoms_AB_X',
            'orgnr',
            'solid_NT_AB_X',
            // Typ
            'mostCommonBrandPB',
            'mostCommonBrandLB',
            'mostCommonBrandTLB',
        ];
    },
    getProspectDefaultValues : function() {
        return [
            'activity',
            'fullName',
            'numberOfCars',
            'numberOfMatchingCars',
            'matchingCar',
        ];
    },
    getCarAllowedValues : function() {
        return [
            'activity',
            'brand',
            'ts_model',
            'reg_number',
            'possession',
            'fullName',
            'usage',
            'shaft_amount',
            'shaft_distance1',
            'shaft_distance2',
            'shaft_distance3',
            'import',
            'pulley',
            'fuel',
            'fuel2',
            'duo',
            'fuel_depletion_usage1',
            'fuel_depletion_usage2',
            'financed_by',
            'fwd',
            'carYear',
            'color',
            'sellerName',
            'salesman',
            'car_status',
            'kaross',
            'kaross2',
            'kaross_extra',
            'coupling1',
            'coupling2',
            'new_or_old',
            'leasing_owner',
            'max_load_weight',
            'engine_strength_hk',
            'model_series',
            'climate_class',
            'utslappsKlass',
            'registration_date',
            'registration_year',
            'segmentPB',
            'segmentLLB',
            'segmentLB1',
            'segmentLB2',
            'segmentLB3',
            'passengers',
            'weight',
            'submission',
            'co2_usage1',
            'co2_usage2',
            'co2_usage3',
        ];
    },
    getCarDefaultValues : function() {
        return [
            'activity',
            'brand',
            'ts_model',
            'reg_number',
            'possession',
            'fullName'
        ];
    },
    getPhaseAllowedValues : function() {
        return [
            'dealName',
            'dealCreator',
            'prospectName',
            'dealCreated',
            'dealFinished',
            'dealResult',
            'soldOld',
            'boughtNew',
            'firstSoldCarAt',
            'firstNewCarAt',
            'firstSoldBrand',
            'firstSoldModel',
            'firstNewBrand',
            'firstNewModel',
            /* Disabling these columns until the complete followup fix is done.
             * Since we are now looking for only first sale/purchase, they will always show 0 or 1.
            'numberOfSoldCars',
            'numberOfNewCars',
            */
            'boughtOldFrom',
            'boughtNewFrom',
            'soldCarNew',
            'boughtCarNew'
        ];

    },
    getPhaseDefaultValues : function() {
        return [
            'dealName',
            'dealCreator',
            'dealCreated',
            'dealFinished',
            'dealResult',
            'boughtNew',
        ];
    },
    getTrashAllowedValues : function() {
        return [
            'dealName',
            'dealCreated',
            'dealDeleted',
            'preTrashStatus',
            'numberOfProspects',
            'numberOfMatchingCars'
        ];
    },
    getTrashDefaultValues : function() {
        return [
            'dealName',
            'dealCreated',
            'dealDeleted',
            'preTrashStatus',
            'numberOfProspects',
            'numberOfMatchingCars'
        ];
    }
};

module.exports = Object.create(DisplayTableHelper);
