
/**
 *
 * Helper functions for engine_strength in DB.
 *
 * @module EngineHelper
 * @author Viktor Silfverstrom <viktor@silfverstrom.com>
 * @version 1.0.0
 * @since 2.0.0 - Hawkeye
 *
 */
var EngineHelper = {
    /**
     * Will convert a value from kw (kilowatt) to hk (horsepower [hästkrafter])
     *
     * @name kwtohk
     * @function
     * @author Viktor Silfverstrom <viktor@silfverstrom.com>
     * @version 1.0.0 - Final
     * @since 1.0.0
     * @access public
     * @param {number} val The value to convert
     * @return {number}
     */
    kwtohk: function(val) {
        var w = 0.0013596216;
        var kw = w * 1000;
        var hk = val * kw;
        return hk;
    },
    /**
     * Will convert a value from hk (horsepower) to kw (hilowatt)
     *
     * @name hktokw
     * @function
     * @author Viktor Silfverstrom <viktor@silfverstrom.com>
     * @version 1.0.0 - Final
     * @since 1.0.0
     * @access public
     * @param {number} val The value to convert
     * @return {number}
     */
    hktokw: function(val) {
        var w = 0.0013596216;
        var hk = w * 1000;
        var kw = val / hk;
        return kw;
    },
};

module.exports = Object.create(EngineHelper);
