var _ = require('underscore');
var nls = require('nls/main-sv');

var zero = {
    val: 'classic',
    text: 'SEGMENT UNDER UTVECKLING!'
};
var classic = {
    val: 'classic',
    text: 'Classic'
};

var halvintegrerad = {
    val: 'halvintegrerad',
    text: 'Halvintegrerad'
};

var crossover = {
    val: 'crossover',
    text: 'Crossover'
};

var helintegrerad = {
    val: 'helintegrerad',
    text: 'Helintegrerad'
};

/**
 * Get HB segments
 */
function getHBSegments() {
    var distlist = {
        val: 'HB',
        text: 'Husbil',
        // children: [zero,classic, halvintegrerad, crossover, helintegrerad],
        children: [], // Need children property for preview to work as other car types.
    };

    return distlist;
};

exports.getHBSegments = getHBSegments;

/**
 * Returns a list of all segments that should be searched, given a segment.
 * Thus, using this will return getHierarchy + recursive children on last element.
 */
function getMatchingValues(val) {
    var hier = getHierarchy(val);
    var last = _(hier).last();

    function loop(row, list) {
        if (row.children) {
            for (var x = 0; x < row.children.length; x++) {
                var child = row.children[x];
                list.push(child.val);
                loop(child, list);
            }
        }
    };

    var nestedChilds = [];
    loop(last, nestedChilds);
    return _(hier).map(function (val) {
        return val.val;
    }).concat(nestedChilds);
};

exports.getMatchingValues = getMatchingValues;

/**
 * Returns ordered list of hierarchy.
 */
function getHierarchy(val) {
    function loop(row, list) {
        if (!list) {
            list = [];
        }

        if (val && row.val.toLowerCase() === val.toLowerCase()) {
            list.push(row);
            return true;
        } else if (row.children) {
            for (var x = 0; x < row.children.length; x++) {
                var child = row.children[x];
                var gotIt = loop(child, list);

                if (gotIt) {
                    list.push(row);
                    return true;
                }
            }
        } else {
            return false;
        }
    }

    var li = [];
    loop(getHBSegments(), li);
    return li.reverse();
};

exports.getHierarchy = getHierarchy;
