var nls = require('nls');

var LeasingHelper = {
    /**
    * Takes info about leasing and credit, and returns a readable string.
    * If leasing === 1, car is leasing financed.
    * If credit  === 1, car is credit financed.
    * If none of the above, it's cash financed.
    * @params {object} finance.leasing - leasing value.
    * @params {object} finance.credit  - credit value.
    * @returns -- NLS values for leasing/credit/cash.
    */
    getReadableFinance : function(finance) {
        if(finance.leasing     === 1) return nls.leasing;
        else if(finance.credit === 1) return nls.credit;
        else return 'Kontantköp';
    }
};

module.exports = Object.create(LeasingHelper);
