var _ = require('underscore');

var MergeHelper = {
    /**
     * Merges arrays depending on keys.
     *
     * @name merge
     * @function
     * @author Viktor Silfverstrom <viktor@silfverstrom.com>
     * @version 1.0.0
     * @since 1.0.0
     * @access public
     * @param {Object[]} data The data to merge
     * @param {string[]} keys The keys to be used
     * @return {Object[]}
     */
    merge : function(data, keys) {
        if(!_.isArray(keys)) {
            keys = [keys];
        }
        _(data.slice(1))
        .each(function(rows, index) {
            index += 1; //Add one for slicing
            var key = keys[0];
            if(typeof keys[index] !== "undefined") {
                key = keys[index];
            }

            _(rows).each(function(num, k) {
                var findObj = {};
                findObj[keys[0]] = num[key];

                var obj = _(data[0]).findWhere(findObj);
                if(obj) {
                    if(key !== keys[0]) {
                        num = _(num).omit(key);
                    }
                    _(obj).extend(num);
                }
            });
        });

        return data[0];
    }
};

module.exports = MergeHelper;
